Index: equalization_gain/trunk/src/PlotScurvesAll-diffFit.cc
===================================================================
--- equalization_gain/trunk/src/PlotScurvesAll-diffFit.cc	(revision 193)
+++ equalization_gain/trunk/src/PlotScurvesAll-diffFit.cc	(revision 194)
@@ -29,5 +29,5 @@
 
 using namespace std;
-Int_t          kXmin       = 110;
+Int_t          kXmin       = 0;
 
 //--------------------------------------------------------------------------------------------------------
@@ -798,5 +798,5 @@
 //--------------------------------------------------------------------------------------------------------
 void Analysis::PlotScurve(
-	/*	Int_t    kDrawCh=31,
+		Int_t    kDrawCh=31,
 		TString  fname=kFname,
 		TString  fname_ped=kFnamePed, //ASIC_D ped_file
@@ -811,4 +811,5 @@
 		Bool_t   checkAve=0 //0:use ref pix, 1:check average*/
 		)
+
 {
 
Index: equalization_gain/trunk/src/PlotScurvesAll-diffFit.d
===================================================================
--- equalization_gain/trunk/src/PlotScurvesAll-diffFit.d	(revision 193)
+++ equalization_gain/trunk/src/PlotScurvesAll-diffFit.d	(revision 194)
@@ -1,62 +1,68 @@
 PlotScurvesAll-diffFit.o PlotScurvesAll-diffFit.d : PlotScurvesAll-diffFit.cc \
-  /Applications/root/include/TROOT.h \
-  /Applications/root/include/TDirectory.h \
-  /Applications/root/include/TNamed.h \
-  /Applications/root/include/TObject.h \
-  /Applications/root/include/Rtypes.h \
-  /Applications/root/include/RConfig.h \
-  /Applications/root/include/RVersion.h \
-  /Applications/root/include/DllImport.h \
-  /Applications/root/include/Rtypeinfo.h \
-  /Applications/root/include/snprintf.h \
-  /Applications/root/include/strlcpy.h \
-  /Applications/root/include/TGenericClassInfo.h \
-  /Applications/root/include/TSchemaHelper.h \
-  /Applications/root/include/TStorage.h \
-  /Applications/root/include/TVersionCheck.h \
-  /Applications/root/include/Riosfwd.h \
-  /Applications/root/include/TBuffer.h \
-  /Applications/root/include/TString.h \
-  /Applications/root/include/TMathBase.h \
-  /Applications/root/include/TList.h \
-  /Applications/root/include/TSeqCollection.h \
-  /Applications/root/include/TCollection.h \
-  /Applications/root/include/TIterator.h \
-  /Applications/root/include/TDatime.h \
-  /Applications/root/include/TUUID.h /Applications/root/include/TH1D.h \
-  /Applications/root/include/TH1.h /Applications/root/include/TAxis.h \
-  /Applications/root/include/TAttAxis.h \
-  /Applications/root/include/TArrayD.h \
-  /Applications/root/include/TArray.h \
-  /Applications/root/include/TAttLine.h \
-  /Applications/root/include/TAttFill.h \
-  /Applications/root/include/TAttMarker.h \
-  /Applications/root/include/TArrayC.h \
-  /Applications/root/include/TArrayS.h \
-  /Applications/root/include/TArrayI.h \
-  /Applications/root/include/TArrayF.h \
-  /Applications/root/include/Foption.h \
-  /Applications/root/include/TVectorFfwd.h \
-  /Applications/root/include/TVectorDfwd.h \
-  /Applications/root/include/TFitResultPtr.h \
-  /Applications/root/include/TH2D.h /Applications/root/include/TH2.h \
-  /Applications/root/include/TMatrixFBasefwd.h \
-  /Applications/root/include/TMatrixDBasefwd.h \
-  /Applications/root/include/TCanvas.h /Applications/root/include/TPad.h \
-  /Applications/root/include/TVirtualPad.h \
-  /Applications/root/include/TAttPad.h \
-  /Applications/root/include/TVirtualX.h \
-  /Applications/root/include/TAttText.h \
-  /Applications/root/include/GuiTypes.h \
-  /Applications/root/include/Buttons.h \
-  /Applications/root/include/TQObject.h \
-  /Applications/root/include/TAttCanvas.h \
-  /Applications/root/include/TCanvasImp.h \
-  /Applications/root/include/TF1.h /Applications/root/include/TFormula.h \
-  /Applications/root/include/TBits.h \
-  /Applications/root/include/TObjArray.h \
-  /Applications/root/include/Math/ParamFunctor.h \
-  /Applications/root/include/TGraphErrors.h \
-  /Applications/root/include/TGraph.h /Applications/root/include/TLine.h \
-  /Applications/root/include/TStyle.h PlotScurvesAll-diffFitConst.h \
-  PlotScurvesAll-diffFit.h
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TROOT.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TDirectory.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TNamed.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TObject.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/Rtypes.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/RConfig.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/RVersion.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/DllImport.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/Rtypeinfo.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/snprintf.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/strlcpy.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TGenericClassInfo.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TSchemaHelper.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TStorage.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TVersionCheck.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/Riosfwd.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TBuffer.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TString.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TMathBase.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TList.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TSeqCollection.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TCollection.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TIterator.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TDatime.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TUUID.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TH1D.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TH1.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TAxis.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TAttAxis.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TArrayD.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TArray.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TAttLine.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TAttFill.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TAttMarker.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TArrayC.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TArrayS.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TArrayI.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TArrayF.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/Foption.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TVectorFfwd.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TVectorDfwd.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TFitResultPtr.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TH2D.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TH2.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TMatrixFBasefwd.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TMatrixDBasefwd.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TCanvas.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TPad.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TVirtualPad.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TAttPad.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TVirtualX.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TAttText.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/GuiTypes.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/Buttons.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TQObject.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TAttCanvas.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TCanvasImp.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TF1.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TFormula.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TBits.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TObjArray.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/Math/ParamFunctor.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TGraphErrors.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TGraph.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TLine.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TStyle.h \
+  PlotScurvesAll-diffFitConst.h PlotScurvesAll-diffFit.h
Index: equalization_gain/trunk/src/PlotScurvesAllMain.d
===================================================================
--- equalization_gain/trunk/src/PlotScurvesAllMain.d	(revision 193)
+++ equalization_gain/trunk/src/PlotScurvesAllMain.d	(revision 194)
@@ -1,54 +1,57 @@
 PlotScurvesAllMain.o PlotScurvesAllMain.d : PlotScurvesAllMain.cc \
-  /Applications/root/include/TRint.h \
-  /Applications/root/include/TApplication.h \
-  /Applications/root/include/TObject.h \
-  /Applications/root/include/Rtypes.h \
-  /Applications/root/include/RConfig.h \
-  /Applications/root/include/RVersion.h \
-  /Applications/root/include/DllImport.h \
-  /Applications/root/include/Rtypeinfo.h \
-  /Applications/root/include/snprintf.h \
-  /Applications/root/include/strlcpy.h \
-  /Applications/root/include/TGenericClassInfo.h \
-  /Applications/root/include/TSchemaHelper.h \
-  /Applications/root/include/TStorage.h \
-  /Applications/root/include/TVersionCheck.h \
-  /Applications/root/include/Riosfwd.h \
-  /Applications/root/include/TBuffer.h \
-  /Applications/root/include/TQObject.h \
-  /Applications/root/include/TString.h \
-  /Applications/root/include/TMathBase.h \
-  /Applications/root/include/TApplicationImp.h \
-  /Applications/root/include/TSystem.h \
-  /Applications/root/include/TNamed.h \
-  /Applications/root/include/TInetAddress.h \
-  /Applications/root/include/TTimer.h \
-  /Applications/root/include/TSysEvtHandler.h \
-  /Applications/root/include/TTime.h /Applications/root/include/TROOT.h \
-  /Applications/root/include/TDirectory.h \
-  /Applications/root/include/TList.h \
-  /Applications/root/include/TSeqCollection.h \
-  /Applications/root/include/TCollection.h \
-  /Applications/root/include/TIterator.h \
-  /Applications/root/include/TDatime.h \
-  /Applications/root/include/TUUID.h PlotScurvesAllMain.h \
-  /Applications/root/include/TFile.h \
-  /Applications/root/include/TDirectoryFile.h \
-  /Applications/root/include/TMap.h \
-  /Applications/root/include/THashTable.h \
-  /Applications/root/include/TUrl.h /Applications/root/include/TTree.h \
-  /Applications/root/include/TBranch.h \
-  /Applications/root/include/TObjArray.h \
-  /Applications/root/include/TAttFill.h \
-  /Applications/root/include/TDataType.h \
-  /Applications/root/include/TDictionary.h \
-  /Applications/root/include/Property.h \
-  /Applications/root/include/TAttLine.h \
-  /Applications/root/include/TAttMarker.h \
-  /Applications/root/include/TArrayD.h \
-  /Applications/root/include/TArray.h \
-  /Applications/root/include/TArrayI.h \
-  /Applications/root/include/TClass.h \
-  /Applications/root/include/TObjString.h \
-  /Applications/root/include/TVirtualTreePlayer.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TRint.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TApplication.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TObject.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/Rtypes.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/RConfig.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/RVersion.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/DllImport.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/Rtypeinfo.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/snprintf.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/strlcpy.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TGenericClassInfo.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TSchemaHelper.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TStorage.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TVersionCheck.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/Riosfwd.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TBuffer.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TQObject.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TString.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TMathBase.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TApplicationImp.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TSystem.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TNamed.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TInetAddress.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TTimer.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TSysEvtHandler.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TTime.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TROOT.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TDirectory.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TList.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TSeqCollection.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TCollection.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TIterator.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TDatime.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TUUID.h \
+  PlotScurvesAllMain.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TFile.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TDirectoryFile.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TMap.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/THashTable.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TUrl.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TTree.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TBranch.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TObjArray.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TAttFill.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TDataType.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TDictionary.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/Property.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TAttLine.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TAttMarker.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TArrayD.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TArray.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TArrayI.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TClass.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TObjString.h \
+  /Users/dagoret-campagnesylvie/MacOsX/External/root/root-5.34.06/root/include/TVirtualTreePlayer.h \
   PlotScurvesAll-diffFit.h PlotScurvesAll-diffFitConst.h